{% extends "base.html" %}

{% block content %}

<h3>{{ title }}</h3>
<hr>
    <h4>Site-To-Site Status</h4>
    <h6>Wireguard Interface</h6>
    {% if status.wg.is_configured_wg0('wg0') %}
    <ul>
        <li>Interface: {{ status.wg.get_interface('wg0').interface }}</li>
        <li>Private Key: {{ status.wg.get_interface('wg0').private_key }}</li>
        <li>Public Key: {{ status.wg.get_interface('wg0').public_key }}</li>
        <li>Listen Port: {{ status.wg.get_interface('wg0').listen_port }}</li>
        <li>FW Mark: {{ status.wg.get_interface('wg0').fwmark }}</li>
    </ul>

    <h6>Wireguard Peers</h6>
    <table class="table table-sm">
      <thead class="thead-dark">
        <tr>
          <th scope="col">Interface</th>
          <th scope="col">Public Key</th>
          <th scope="col">PSK</th>
          <th scope="col">Endpoint</th>
          <th scope="col">Allowed IPs</th>
          <th scope="col">Latest Handshake</th>
          <th scope="col">Transfer RX</th>
          <th scope="col">Transfer TX</th>
          <th scope="col">Keepalive</th>
        </tr>
      </thead>
      <tbody>
        {% for peer in status.wg["peers_wg0"] %}
            <tr>
              <td>{{ peer.interface }}</td>
              <td>{{ peer.public_key }}</td>
              <td>{{ peer.pre_shared_key }}</td>
              <td>{{ peer.endpoint }} <img
                        src="{{ url_for('static', filename='country-flags/'+peer.endpoint_geo_iso+'.png') }}"
                        alt="country flag"></td>
              <td>{{ peer.allowed_ips }}</td>
              <td>{{ peer.latest_handshake_sec }} sec ago</td>
              <td>{{ peer.transfer_rx }}</td>
              <td>{{ peer.transfer_tx }}</td>
              <td>{{ peer.persistent_keepalive }}</td>
            </tr>
        {% endfor %}
      </tbody>
    </table>
    {% else %}
        <p>No Site-To-Site Wireguard interface is currently configured!</p>
    {% endif %}
    <hr>
    <h4>Remote-Acess Status</h4>
    <h6>Wireguard Interface</h6>
    {% if status.wg.is_configured_wg1('wg1') %}
    <ul>
        <li>Interface: {{ status.wg.get_interface('wg1').interface }}</li>
        <li>Private Key: {{ status.wg.get_interface('wg1').private_key }}</li>
        <li>Public Key: {{ status.wg.get_interface('wg1').public_key }}</li>
        <li>Listen Port: {{ status.wg.get_interface('wg1').listen_port }}</li>
        <li>FW Mark: {{ status.wg.get_interface('wg1').fwmark }}</li>
    </ul>

    <h6>Wireguard Peers</h6>
    <table class="table table-sm">
      <thead class="thead-dark">
        <tr>
          <th scope="col">Interface</th>
          <th scope="col">Username</th>
          <th scope="col">Public Key</th>
          <th scope="col">PSK</th>
          <th scope="col">Endpoint</th>
          <th scope="col">Allowed IPs</th>
          <th scope="col">Latest Handshake</th>
          <th scope="col">Transfer RX</th>
            <th scope="col">Transfer TX</th>
            <th scope="col">Keepalive</th>
        </tr>
      </thead>
        <tbody>
        {% for peer in status.wg["peers_wg1"] %}
            <tr>
                <td>{{ peer.interface }}</td>
                <td>{{ peer.username }}</td>
                <td>{{ peer.public_key }}</td>
                <td>{{ peer.pre_shared_key }}</td>
                <td>{{ peer.endpoint }} <img
                        src="{{ url_for('static', filename='country-flags/'+peer.endpoint_geo_iso+'.png') }}"
                        alt="country flag"></td>
                <td>{{ peer.allowed_ips }}</td>
                <td>{{ peer.latest_handshake_sec }} sec ago</td>
                <td>{{ peer.transfer_rx }}</td>
                <td>{{ peer.transfer_tx }}</td>
                <td>{{ peer.persistent_keepalive }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% else %}
        <p>No Remote-Access Wireguard interface is currently configured!</p>
    {% endif %}
    <hr>
    <h4>Open vSwitch</h4>
    <pre>{{ status.ovs }}</pre>

{% endblock %}
